﻿/*垂直居中*/
.verticalAlign{ vertical-align:middle; display:inline-block; height:100%; margin-left:-1px;}

.xcConfirm .xc_layer{position: fixed; top: 0; left: 0; width: 100%; height: 100%; background-color: #666666; opacity: 0.5; z-index: 2147000000;}
.xcConfirm .popBox{position: fixed; left: 50%; top: 50%; background-color: #ffffff; z-index: 2147000001; width: 570px; min-height: 300px;border-radius: 5px; font-weight: bold; color: #535e66;transform: translate(-50%, -50%);}
.xcConfirm .popBox .ttBox{height: 30px; line-height: 30px; padding: 14px 30px; border-bottom: solid 1px #eef0f1;box-sizing: content-box;}
.xcConfirm .popBox .ttBox .tt{font-size: 18px; display: block; float: left; height: 30px; position: relative;}
.xcConfirm .popBox .ttBox .clsBtn{display: block; cursor: pointer; width: 12px; height: 12px; position: absolute; top: 22px; right: 30px; background: url(../images/icons.png) -48px -96px no-repeat;}
.xcConfirm .popBox .txtBox{margin: 40px 100px; height: 100px; overflow: hidden;}
.xcConfirm .popBox .txtBox .bigIcon{float: left; margin-right: 20px; width: 48px; height: 48px; background-image: url(../images/icons.png); background-repeat: no-repeat; background-position: 48px 0;}
.xcConfirm .popBox .txtBox p{ height: 84px; margin-top: 16px; line-height: 26px; overflow-x: hidden; overflow-y: auto;}
.xcConfirm .popBox .txtBox p input{width: 364px; height: 30px; border: solid 1px #eef0f1; font-size: 18px; margin-top: 6px;}
.xcConfirm .popBox .btnArea{border-top: solid 1px #eef0f1;}
.xcConfirm .popBox .btnGroup{float: right;padding: 14px 0 14px;}
.xcConfirm .popBox .btnGroup .sgBtn{margin-right: 14px;}
.xcConfirm .popBox .sgBtn{display: block; cursor: pointer; float: left; padding: 0 5px; height: 35px; line-height: 35px; text-align: center; color: #FFFFFF; border-radius: 5px;}
.xcConfirm .popBox .sgBtn.ok{background-color: #E1251B; color: #FFFFFF;}
.xcConfirm .popBox .sgBtn.cancel{background-color: #E1251B; color: #FFFFFF;}

.xcConfirm .popBox.html-popup {
    width: auto;
    max-width: 90%;
    height: auto;
    max-height: 80%;
    margin-left: auto;
    margin-top: auto;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}
.xcConfirm .popBox.html-popup .txtBox {
    width: 100%;
    margin: 0;
    padding: 0 20px;
    height: auto;
    overflow-y: auto;
}
.xcConfirm .popBox.html-popup .txtBox>p {
    height: auto;
}
.xcConfirm .popBox.html-popup .btnGroup{
    float: none;
    display: flex;
    justify-content: center;
}
.xcConfirm .popBox.html-popup .btnGroup .sgBtn{
    margin: 0 7px;
}